#ifndef __TWI__
#define __TWI__

#include "settings.h"

void I2C_Init();
byte I2C_Detect(byte addr);
byte I2C_FindDevice(byte start);
void I2C_Start (byte slaveAddr);
byte I2C_Write (byte data);
byte I2C_ReadACK ();
byte I2C_ReadNACK ();
void I2C_WriteByte(byte busAddr, byte data);
void I2C_WriteRegister(byte busAddr, byte deviceRegister, byte data);
byte I2C_ReadRegister(byte busAddr, byte deviceRegister);

#endif   //__TWI__
